Open main menu

ดาวน์โหลด

This page is a translated version of the page Download and the translation is 97% complete.

Other languages:
Bahasa Indonesia • ‎Bahasa Melayu • ‎Basa Banyumasan • ‎Cymraeg • ‎Deutsch • ‎English • ‎Esperanto • ‎Lëtzebuergesch • ‎Nederlands • ‎Oromoo • ‎Scots • ‎Tagalog • ‎Tarifit • ‎Tiếng Việt • ‎Türkçe • ‎Zazaki • ‎aragonés • ‎bosanski • ‎català • ‎dansk • ‎español • ‎français • ‎galego • ‎hrvatski • ‎interlingua • ‎italiano • ‎kurdî • ‎lietuvių • ‎magyar • ‎norsk bokmål • ‎occitan • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎slovenčina • ‎slovenščina • ‎suomi • ‎svenska • ‎čeština • ‎Ελληνικά • ‎беларуская • ‎български • ‎русский • ‎српски / srpski • ‎татарча/tatarça • ‎українська • ‎հայերեն • ‎עברית • ‎ئۇيغۇرچە / Uyghurche • ‎العربية • ‎سنڌي • ‎فارسی • ‎پښتو • ‎کوردی • ‎अङ्गिका • ‎अवधी • ‎नेपाली • ‎मराठी • ‎हिन्दी • ‎বাংলা • ‎தமிழ் • ‎മലയാളം • ‎සිංහල • ‎ไทย • ‎ဘာသာ မန် • ‎မြန်မာဘာသာ • ‎ქართული • ‎中文 • ‎吴语 • ‎日本語 • ‎粵語 • ‎ꯃꯤꯇꯩ ꯂꯣꯟ • ‎조선말 • ‎한국어

รุ่นล่าสุด


สัญญาอนุญาต

มีเดียวิกิ (MediaWiki) เป็นซอร์ฟแวร์ฟรี ภายใต้สัญญาอนุญาติสัญญาสาธารณะโดยทั่วไปของกนู เพราะมีเดียวิกิไม่จำเป็นจะต้องมีสัญญาอนุญาติใด ๆ เพื่อใช้งาน สำหรับสัญญาการอนุญาตการใช้งานแบบเต็ม ดูได้ที่เนื้อหาเต็มของสัญญาอนุญาตกนู 2.0

ความต้องการของระบบ

มีเดียวิกิต้องการพีเอชพี 7.0.13+ และ MySQL 5.5.8+, มาเรียดีบี, หรือที่เก็บข้อมูลชนิดอื่นหนึ่งในสามอย่างที่เป็นไปได้ สำหรับข้อมูลเพิ่มเติม กรุณาอ่านที่หน้าความต้องการของระบบและความเข้ากันได้


การดาวน์โหลดอื่น ๆ

ดาวน์โหลดจาก Git แทน

ผู้พัฒนามีเดียวิกิที่ยังแอคทีฟควร ดาวน์โหลดจาก Git แทนเพื่อรับซอฟต์แวร์มีเดียวิกิรุ่นล่าสุด คลังเก็บ Git มีซอฟต์แวร์รุ่นก่อนหน้าอยู่ด้วย ดังนั้นจึงอาจต้องสลับ ("เช็คเอาต์") ไปใช้รุ่นใดรุ่นหนึ่งโดยเฉพาะ

หมายเหตุ

Support for PHP's register_globals directive has been removed since MediaWiki 1.24 . If you have PHP 5.4 or later installed on your server, you do not need to worry about this. If you have PHP 5.3 or earlier, make sure that this directive has been turned off. If you cannot turn register_globals off on your system, you can use MediaWiki 1.23.9 (download).

การสนับสนุนมายเอสคิวแอล/มาเรียดีบี 5 จำเป็นต้องใช้ตั้งแต่ MediaWiki 1.19 – หากคุณกำลังใช้มายเอสคิวแอลรุ่นเก่ากว่าและไม่สามารถอัปเกรดได้ คุณสามารถใช้มีเดียวิกิ 1.18.6 (ดาวน์โหลด) โปรดทราบว่ารุ่นดังกล่าว ยุติการสนับสนุนแล้ว

นอกจากนี้ยังทำการติดตั้งได้ด้วยตนเอง

ผู้ใช้บางรายอาจต้องการที่จะข้ามการติดตั้งแบบแมนนวลโดยใช้มีเดียวิกิพรีอินติเกรท เครื่องมือซอร์ฟแวร์ หรือ hosting services; คลังเก็บบางส่วนของ distros ดังนั้นควรทำการเพิ่มมีเดียวิกิที่จัดให้, พร้อมการปรับปรุงบ่อยครั้งขึ้นและเพื่อขยายส่วนครอบคลุม (เช่น Debian, Ubuntu, Fedora, Gentoo).

สิ่งต่อไป?

ติดตามข่าวสารล่าสุดและรักษาความปลอดภัยให้กับเซิร์ฟเวอร์ของคุณ!

รุ่นสืบทอด

หากการติดตั้ง MediaWiki ของคุณมีการปรับเปลี่ยนอย่างมาก อาจเป็นเรื่องยากที่จะรวมการเปลี่ยนแปลง/ปรับปรุงล่าสุดอย่างเป็นทางการกับ MediaWiki เพื่อสนับสนุนผู้ใช้รายดังกล่าว เราจะรักษาสาขาเก่าของเราไว้เป็นเวลานานถึงหนึ่งปีสำหรับการเปิดตัวเดิมและไม่เกินสามปีสำหรับการเปิดตัวการสนับสนุนระยะยาวแบบเดิม

รุ่นที่กำลังพัฒนา

ถ้าคุณต้องการเรียกใช้การพัฒนาล่าสุด (อาทิเช่น alpha) คุณสามารถดาวน์โหลดมันด้วย mediawiki-master.tar.gz หรือ download from Git

จาก Git คุณสามารถดาวน์โหลด คลังที่สมบูรณ์ (ประมาณ 528 MiB)

git clone https://gerrit.wikimedia.org/r/mediawiki/core.git

หรือ "แก้ไขล่าสุดเท่านั้น" (ประมาณ 85 MiB ซึ่งมักเรียกว่า shallow clone: ใช้เวลาน้อยลงและดาวน์โหลดขนาดเล็กลง)[1]

git clone --depth 1 https://gerrit.wikimedia.org/r/mediawiki/core.git

คุณยังสามารถวิวผ่าน latest source code จากเบราเซอร์ของคุณ

รุ่นเก่า

คุณสามารถค้นหาแถบเครื่องมือ(และส่วนขยาย "*".tar.gz)ในทุกเวอร์ชั่นของวิกิมีเดียไปได้ถึงเดือนมีนาคม ปี พ.ศ. 2548 (MediaWiki 1.3.11 ที่เก่าแก่ที่สุด) ในวิกิมีเดียดาวน์โหลดรุ่นเก่าทั้งหมด

เพื่อเรียกดูรุ่นเก่ากว่า ดูที่ แท็ก ที่กรุ Git

ความช่วยเหลือในการติดตั้ง

อ้างอิง

  1. ซึ่งอาจทำให้เกิดปัญหาการอ้างอิงเมื่อคุณใช้งานในภายหลังใน "git pull" เพื่อปรับรุ่นของคุณ โคลนแบบง่าย และการตรวจทานใหม่ที่อ้างอิงถึงการแก้ไขรุ่นเก่าที่ยังไม่ได้ดาวน์โหลดไปยังระบบของคุณ ในกรณีดังกล่าวคุณสามารถดาวน์โหลดเพิ่มเติมค่าความลึก-หรือการแก้ไขทั้งหมดในภายหลังหรือทำโคลนใหม่แบบง่าย

ดูเพิ่ม